RunReveal

TemplateCreate creates a new notification template in the workspace.

TemplateCreate creates a new notification template in the workspace.

POST
/templates/create

Request Body

application/jsonRequired

bodystring

createdAtobject

displayNamestring

idstring

namestring

titlestring

updatedAtobject

versioninteger

workspaceIDstring

curl -X POST "https://api.runreveal.com/templates/create" \
  -H "Content-Type: application/json" \
  -d '{
    "body": "string",
    "createdAt": {},
    "displayName": "string",
    "id": "string",
    "name": "string",
    "title": "string",
    "updatedAt": {},
    "version": 0,
    "workspaceID": "string"
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "body": "string",
    "createdAt": {},
    "displayName": "string",
    "id": "string",
    "name": "string",
    "title": "string",
    "updatedAt": {},
    "version": 0,
    "workspaceID": "string"
  },
  "success": true
}

TemplateDelete deletes a notification template from the workspace by name.

TemplateDelete deletes a notification template from the workspace by name.

DELETE
/templates/delete
curl -X DELETE "https://api.runreveal.com/templates/delete?name=string"

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {},
  "success": true
}

TemplateList lists the workspace's notification templates along with the built-in default templates.

TemplateList lists the workspace's notification templates along with the built-in default templates.

GET
/templates/list
curl -X GET "https://api.runreveal.com/templates/list"

Success

{
  "error": "string",
  "errorCode": "string",
  "result": [
    {
      "body": "string",
      "createdAt": {},
      "displayName": "string",
      "id": "string",
      "name": "string",
      "title": "string",
      "updatedAt": {},
      "version": 0,
      "workspaceID": "string"
    }
  ],
  "success": true
}

TemplatePartialsList lists the built-in template partials available for use in notification templates.

TemplatePartialsList lists the built-in template partials available for use in notification templates.

GET
/templates/partials
curl -X GET "https://api.runreveal.com/templates/partials"

Success

{
  "error": "string",
  "errorCode": "string",
  "result": [
    {
      "body": "string",
      "createdAt": {},
      "displayName": "string",
      "id": "string",
      "name": "string",
      "title": "string",
      "updatedAt": {},
      "version": 0,
      "workspaceID": "string"
    }
  ],
  "success": true
}

TemplateRender renders a template string with the provided data and returns the result.

TemplateRender renders a template string with the provided data and returns the result.

POST
/templates/render

Request Body

application/jsonRequired

dataobject

templatestring

curl -X POST "https://api.runreveal.com/templates/render" \
  -H "Content-Type: application/json" \
  -d '{
    "data": {
      "property1": {},
      "property2": {}
    },
    "template": "string"
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "result": "string"
  },
  "success": true
}

TemplateUpdate updates an existing notification template in the workspace.

TemplateUpdate updates an existing notification template in the workspace.

PUT
/templates/update

Request Body

application/jsonRequired

bodystring

createdAtobject

displayNamestring

idstring

namestring

titlestring

updatedAtobject

versioninteger

workspaceIDstring

curl -X PUT "https://api.runreveal.com/templates/update" \
  -H "Content-Type: application/json" \
  -d '{
    "body": "string",
    "createdAt": {},
    "displayName": "string",
    "id": "string",
    "name": "string",
    "title": "string",
    "updatedAt": {},
    "version": 0,
    "workspaceID": "string"
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "body": "string",
    "createdAt": {},
    "displayName": "string",
    "id": "string",
    "name": "string",
    "title": "string",
    "updatedAt": {},
    "version": 0,
    "workspaceID": "string"
  },
  "success": true
}